public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Jian Lin" <jlin.gentoo@outlook.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: dev-python/sortedcollections/
Date: Mon, 16 Aug 2021 19:04:56 +0000 (UTC)	[thread overview]
Message-ID: <1628906374.95d6e3c1bd77dd6b02603588320690c64506ef91.jian@gentoo> (raw)

commit:     95d6e3c1bd77dd6b02603588320690c64506ef91
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Aug 14 00:33:18 2021 +0000
Commit:     Jian Lin <jlin.gentoo <AT> outlook <DOT> com>
CommitDate: Sat Aug 14 01:59:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=95d6e3c1

dev-python/sortedcollections: initial import

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/sortedcollections/Manifest              |  1 +
 dev-python/sortedcollections/metadata.xml          | 13 ++++++++
 .../sortedcollections-2.1.0.ebuild                 | 36 ++++++++++++++++++++++
 3 files changed, 50 insertions(+)

diff --git a/dev-python/sortedcollections/Manifest b/dev-python/sortedcollections/Manifest
new file mode 100644
index 000000000..ca3ac0622
--- /dev/null
+++ b/dev-python/sortedcollections/Manifest
@@ -0,0 +1 @@
+DIST sortedcollections-2.1.0.tar.gz 48563 BLAKE2B 5de36155858dc055c9412ff410bd70b489aba292a2956216db95641e10dcb249b98e5c005c4d7c4fd00b25c3315c65b3f43f404737591632ac223a4045b775b5 SHA512 7cb95af1791ab8f8c99847c1b9e0b8c1e7cc7dfe8a9df5db8bb3c96ceb2f15d7351ab4ff081d037d34dbb6c3108f4b575ca22c9e9e911a727d31b9ba3bf975f6

diff --git a/dev-python/sortedcollections/metadata.xml b/dev-python/sortedcollections/metadata.xml
new file mode 100644
index 000000000..ad76e650c
--- /dev/null
+++ b/dev-python/sortedcollections/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<upstream>
+		<doc>http://www.grantjenks.com/docs/sortedcollections/</doc>
+		<remote-id type="github">https://github.com/grantjenks/python-sortedcollections</remote-id>
+		<remote-id type="pypi">sortedcollections</remote-id>
+	</upstream>
+	<maintainer type="person">
+		<email>cyber+gentoo@sysrq.in</email>
+		<name>Anna</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/dev-python/sortedcollections/sortedcollections-2.1.0.ebuild b/dev-python/sortedcollections/sortedcollections-2.1.0.ebuild
new file mode 100644
index 000000000..749cade41
--- /dev/null
+++ b/dev-python/sortedcollections/sortedcollections-2.1.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+inherit distutils-r1
+
+DESCRIPTION="Apache2 licensed Python sorted collections library"
+HOMEPAGE="
+	https://pypi.org/project/sortedcollections
+	https://github.com/grantjenks/python-sortedcollections
+"
+SRC_URI="https://github.com/grantjenks/python-${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/python-${PN}-${PV}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="dev-python/sortedcontainers[${PYTHON_USEDEP}]"
+BDEPEND="doc? ( ${RDEPEND} )"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs
+
+src_prepare() {
+	# breaks pytest
+	rm tox.ini || die
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	epytest --doctest-glob="*.rst"
+}


             reply	other threads:[~2021-08-16 20:48 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-08-16 19:04 Jian Lin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-07  7:33 [gentoo-commits] repo/proj/guru:master commit in: dev-python/sortedcollections/ Haelwenn Monnier
2023-09-14 14:54 David Roman
2024-09-07 13:38 David Roman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1628906374.95d6e3c1bd77dd6b02603588320690c64506ef91.jian@gentoo \
    --to=jlin.gentoo@outlook.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox